net.i2p.internal

## Interface InternalClientManager

- All Known Implementing Classes:
    ClientManagerFacadeImpl

      public interface InternalClientManager

  A manager for the in-JVM I2CP message interface
  Since:
    0.8.3
  Author:
    zzz

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `I2CPMessageQueue` | `connect()` Connect to the router, receiving a message queue to talk to the router with.

- - ### Method Detail

    - #### connect

          I2CPMessageQueue connect()
                                   throws I2PSessionException

      Connect to the router, receiving a message queue to talk to the router with.
      Throws:
        `I2PSessionException` - if the router isn't ready